package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.PapProsedurePenanggungJawab;
import com.jasamedika.medifirst2000.helper.Caption;

public class PapRehabilitasiVO extends BaseTransactionVO{
	@ManyToOne
	//@NotNull(message = "RegistrasiPelayananPasien tidak boleh kosong")
	private RegistrasiPelayananPasienVO registrasiPelayananPasien;	
	
	@ManyToOne
	@NotNull(message = "Pasien tidak boleh kosong")
	private PasienVO pasien;	
	
	@NotNull(message = "Tgl Input tidak boleh kosong")
	@Column(name = "tglInput", nullable = false)
	@Caption(value = "Tgl Input")
	private Date tglInput;

	@Column(name = "masalahMedisDanRehabilitasi")
	@Caption(value = "Masalah Medis dan Rehabilitasi")
	private String masalahMedisDanRehabilitasi;

	@Column(name = "prognosis")
	@Caption(value = "Prognosis")
	private String prognosis;
	
	@Column(name = "tujuanRehabilitasiMedis")
	@Caption(value = "Tujuan Rehabilitasi Medis")
	private String tujuanRehabilitasiMedis;
	
	@OneToMany(cascade=CascadeType.ALL,fetch = FetchType.LAZY, mappedBy = "papRehabilitasi")
	@Caption(value = "papProsedurePenanggungJawabSet")
	private Set<PapProsedurePenanggungJawabVO> papProsedurePenanggungJawabSet=new HashSet<PapProsedurePenanggungJawabVO>();
	
	public RegistrasiPelayananPasienVO getRegistrasiPelayananPasien() {
		return registrasiPelayananPasien;
	}

	public void setRegistrasiPelayananPasien(RegistrasiPelayananPasienVO registrasiPelayananPasien) {
		this.registrasiPelayananPasien = registrasiPelayananPasien;
	}

	public PasienVO getPasien() {
		return pasien;
	}

	public void setPasien(PasienVO pasien) {
		this.pasien = pasien;
	}

	public Date getTglInput() {
		return tglInput;
	}

	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}

	public String getMasalahMedisDanRehabilitasi() {
		return masalahMedisDanRehabilitasi;
	}

	public void setMasalahMedisDanRehabilitasi(String masalahMedisDanRehabilitasi) {
		this.masalahMedisDanRehabilitasi = masalahMedisDanRehabilitasi;
	}

	public String getPrognosis() {
		return prognosis;
	}

	public void setPrognosis(String prognosis) {
		this.prognosis = prognosis;
	}

	public String getTujuanRehabilitasiMedis() {
		return tujuanRehabilitasiMedis;
	}

	public void setTujuanRehabilitasiMedis(String tujuanRehabilitasiMedis) {
		this.tujuanRehabilitasiMedis = tujuanRehabilitasiMedis;
	}

	public Set<PapProsedurePenanggungJawabVO> getPapProsedurePenanggungJawabSet() {
		return papProsedurePenanggungJawabSet;
	}

	public void setPapProsedurePenanggungJawabSet(Set<PapProsedurePenanggungJawabVO> papProsedurePenanggungJawabSet) {
		this.papProsedurePenanggungJawabSet = papProsedurePenanggungJawabSet;
	}

}
